APScheduler(Advance Python Scheduler) ImportError:
博客专区 > Galy_绿 的博客 > 博客详情
APScheduler(Advance Python Scheduler) ImportError:
Galy_绿 发表于2年前
APScheduler(Advance Python Scheduler) ImportError:
  • 发表于 2年前
  • 阅读 90
  • 收藏 0
  • 点赞 0
  • 评论 0

这个问题可把我给坑苦了(我自己的版本是3.5而服务器上的Python版本是2.6) 问题的主要原因我估计是Python2.6用不了过高的版本,所以解决方案就是找个低版本的。

pip uninstall apscheduler pip install apscheduler==2.1.2


这是另一个问题 关于安装的

easy_install apscheduler 安装问题

Traceback (most recent call last):   File "/usr/bin/autostack-service", line 5, in <module>     from handle import handle     File "/usr/lib/python2.6/site-packages/autostack/handle/handle.py", line 28, in <module>     from apscheduler.scheduler import Scheduler ImportError: cannot import name Scheduler ImportError: No module named scheduler"

在最新的apscheduler库中没有对应的库,必须指定版本库

pip uninstall apscheduler pip install apscheduler==2.1.2

共有 人打赏支持
粉丝 10
博文 131
码字总数 14399
×
Galy_绿
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: